Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03869 Crash/Freeze Critical (emulator) Always May 30, 2010, 22:58 10 days ago
Tester Haze View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver model2.cpp
Version 0.138u1 Fixed in Version 0.155 Build
Summary 03869: schamp, sfight: Hitting Start can cause hang
Description If you begin Sonic The Fighters and credit and attempt to start the game before the game hits the graphic part or the attract mode, the emulation + mame will hang.
Steps To Reproduce
Additional Information Tafoid: I traced regression to 0.122 - a version which there was a lot of changes to the primary sound system (SCSP)
Flags
Regression Version 0.122
Affected Sets / Systems schamp, sfight
Attached Files
 
Relationships
related to 04732Resolved schamp, sfight: "SHARC: Loop Stack overflow!" on second soft reset 
Notes
5
User avatar
No.08376
NekoEd
Senior Tester
Mar 16, 2012, 15:17
Can no longer reproduce 0.145u4 - Resolved.
User avatar
No.08379
M.A.S.H.
Senior Tester
Mar 16, 2012, 23:36
The bug is not fixed. Try pressing insert coin several times at init/start and
the game and PC hangs.
User avatar
No.08382
NekoEd
Senior Tester
Mar 17, 2012, 03:05
Must have missed something. Good eye, M.A.S.H.
User avatar
No.15264
Hydreigon
Tester
10 days ago
Is anyone able to reproduce this in mame with the recent model 2 updates? I can't as of 0.199.
User avatar
No.15265
M.A.S.H.
Senior Tester
10 days ago
@ Hydreigon
Since MAME 0.155 this bug does not occur anymore.